namespace elm { 
inline ::efl::eolian::return_traits<double>::type Button::autorepeat_initial_timeout_get() const
{
   double __return_value =  ::elm_obj_button_autorepeat_initial_timeout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Button::autorepeat_initial_timeout_set( ::efl::eolian::in_traits<double>::type t) const
{
    ::elm_obj_button_autorepeat_initial_timeout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(t));
}
inline ::efl::eolian::return_traits<double>::type Button::autorepeat_gap_timeout_get() const
{
   double __return_value =  ::elm_obj_button_autorepeat_gap_timeout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Button::autorepeat_gap_timeout_set( ::efl::eolian::in_traits<double>::type t) const
{
    ::elm_obj_button_autorepeat_gap_timeout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(t));
}
inline ::efl::eolian::return_traits<bool>::type Button::autorepeat_get() const
{
   Eina_Bool __return_value =  ::elm_obj_button_autorepeat_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Button::autorepeat_set( ::efl::eolian::in_traits<bool>::type on) const
{
    ::elm_obj_button_autorepeat_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(on));
}
inline ::efl::eolian::return_traits<bool>::type Button::admits_autorepeat_get() const
{
   Eina_Bool __return_value =  ::elm_obj_button_admits_autorepeat_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<double>::type Button::autorepeat_initial_timeout_get() const
{
   double __return_value =  ::elm_obj_button_autorepeat_initial_timeout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Button::autorepeat_initial_timeout_set( ::efl::eolian::in_traits<double>::type t) const
{
    ::elm_obj_button_autorepeat_initial_timeout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(t));
}
inline ::efl::eolian::return_traits<double>::type Button::autorepeat_gap_timeout_get() const
{
   double __return_value =  ::elm_obj_button_autorepeat_gap_timeout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Button::autorepeat_gap_timeout_set( ::efl::eolian::in_traits<double>::type t) const
{
    ::elm_obj_button_autorepeat_gap_timeout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(t));
}
inline ::efl::eolian::return_traits<bool>::type Button::autorepeat_get() const
{
   Eina_Bool __return_value =  ::elm_obj_button_autorepeat_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Button::autorepeat_set( ::efl::eolian::in_traits<bool>::type on) const
{
    ::elm_obj_button_autorepeat_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(on));
}
inline ::efl::eolian::return_traits<bool>::type Button::admits_autorepeat_get() const
{
   Eina_Bool __return_value =  ::elm_obj_button_admits_autorepeat_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline elm::Button::operator ::elm::Button() const { return *static_cast< ::elm::Button const*>(static_cast<void const*>(this)); }
inline elm::Button::operator ::elm::Button&() { return *static_cast< ::elm::Button*>(static_cast<void*>(this)); }
inline elm::Button::operator ::elm::Button const&() const { return *static_cast< ::elm::Button const*>(static_cast<void const*>(this)); }
} }

